#
# spec file for package rubygem-sprockets
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sprockets
Version:        3.7.2
Release:        lp152.2.3
%define mod_name sprockets
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/rails/sprockets
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rack-based asset packaging system
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Sprockets is a Rack-based asset packaging system that concatenates and serves
JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Jun 19 2018 factory-auto@kulow.org
- updated to version 3.7.2
  see installed CHANGELOG.md
  * *3.7.2** (June 19, 2018)
  * Security release for [CVE-2018-3760](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-3760).
  (bsc#1098369)
* Tue Dec 20 2016 coolo@suse.com
- updated to version 3.7.1
  see installed CHANGELOG.md
* Sat Jul 23 2016 coolo@suse.com
- updated to version 3.7.0
  see installed CHANGELOG.md
  * * 3.7.0** (July 21, 2016)
  * Deprecated interfaces now emit deprecation warnings #345
* Mon Jul  4 2016 coolo@suse.com
- updated to version 3.6.3
  see installed CHANGELOG.md
  * *3.6.3** (July 1, 2016)
  * Faster asset lookup in large directories #336
  * Faster PathUtils.match_path_extname https://github.com/rails/sprockets/commit/697269cf81e5261fdd7072e32bd489403027fd7e
  * Fixed uglifier comment stripping #326
  * Error messages now show load path info #313
* Wed Jun 29 2016 coolo@suse.com
- updated to version 3.6.2
  see installed CHANGELOG.md
  * *3.6.2** (June 21, 2016)
  * More performance improvements.
* Sat Jun 18 2016 coolo@suse.com
- updated to version 3.6.1
  see installed CHANGELOG.md
  * *3.6.1** (June 17, 2016)
  * Some performance improvements.
* Thu Apr  7 2016 coolo@suse.com
- updated to version 3.6.0
  see installed CHANGELOG.md
* Sat Dec 12 2015 coolo@suse.com
- updated to version 3.5.2
  see installed CHANGELOG.md
  * *3.5.2** (December 8, 2015)
  * Fix JRuby bug with concurrent-ruby.
  * Fix disabling gzip generation in cached environments.
* Tue Dec  8 2015 coolo@suse.com
- updated to version 3.5.1
  see installed CHANGELOG.md
  * *3.5.1** (December 5, 2015)
  * Fix gzip asset generation for assets already on disk.
* Fri Dec  4 2015 coolo@suse.com
- updated to version 3.5.0
  see installed CHANGELOG.md
  * *Master**
  * *3.5.0** (December 3, 2015)
  * Reintroduce Gzip file generation for non-binary assets.
* Thu Nov 26 2015 coolo@suse.com
- updated to version 3.4.1
  see installed CHANGELOG.md
  * *3.4.1** (November 25, 2015)
  * PathUtils::Entries will no longer error on an empty directory.
* Tue Oct  6 2015 coolo@suse.com
- updated to version 3.4.0
  see installed CHANGELOG.md
  * *3.4.0** (October 5, 2015)
  * Expose method to override the sass cache in the SassProcessor.
* Sat Sep 26 2015 coolo@suse.com
- updated to version 3.3.5
  see installed CHANGELOG.md
  * *3.3.5** (September 25, 2015)
  * Fix bug related to absolute path being reintroduced into history cache #141.
* Wed Sep  2 2015 coolo@suse.com
- updated to version 3.3.4
  see installed CHANGELOG.md
  * *3.3.4** (September 1, 2015)
  * Relative cache contents now work with windows.
* Mon Aug 24 2015 coolo@suse.com
- updated to version 3.3.3
  see installed CHANGELOG.md
  * *3.3.3** (August 21, 2015)
  * Remove more absolute paths from cache contents.
  * *3.3.2** (August 19, 2015)
  * Fix cache contents to use relative paths instead of absolute paths.
  * *3.3.1** (August 15, 2015)
  * Fix legacy Tilt integration when locals is required argument.
* Thu Aug 13 2015 coolo@suse.com
- updated to version 3.3.0
  no changelog found
* Wed Jun  3 2015 coolo@suse.com
- updated to version 3.2.0
  no changelog found
* Mon May 11 2015 coolo@suse.com
- updated to version 3.1.0
  no changelog found
* Tue Apr 28 2015 coolo@suse.com
- updated to version 3.0.3
  no changelog found
* Thu Apr 23 2015 coolo@suse.com
- updated to version 3.0.2
  no changelog found
* Wed Apr 15 2015 coolo@suse.com
- updated to version 3.0.1
* Mon Apr 13 2015 coolo@suse.com
- updated to version 3.0.0
  * New processor API. Tilt interface is deprecated.
  * Improved file store caching backend.
  * MIME Types now accept charset custom charset detecters. Improves support for UTF-16/32 files.
  * Environment#version no longer affects asset digests. Only used for busting the asset cache.
  * Removed builtin support for LESS.
  * Removed `//= include` directive support.
  * Deprecated `BundledAsset#to_a`. Use `BundledAsset#included` to access debugging subcomponents.
  * Support circular dependencies. For parity with ES6 modules.
  * Manifest compilation will no longer generate .gz files by default. [Mixing
  Content-Encoding and ETags is just a bad
  idea](https://issues.apache.org/bugzilla/show_bug.cgi?id=39727)
  * Added linked or referenced assets. When an asset is compiled, any of its links will be compiled as well.
  * Introduce some limitations around enumerating all logical paths. 4.x will deprecate it and favor linked manifests for compliation.
  * Add Asset integrity attribute for Subresource Integrity
  * Default digest changed to SHA256. Configuring `digest_class` is deprecated.
  * Rename `Asset#digest` to `Asset#hexdigest`. `Asset#digest` is deprecated and will
  return a raw byte String in 4.x.
  * Added transitional compatibility flag to `Environment#resolve(path, compat: true)`. 2.x mode operates with `compat: true` and 4.x with `compat: false`
  * `manifest-abc123.json` renamed to `.sprockets-abc123.json`
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.12.3
  * Security: Fix directory traversal bug in development mode server.
* Sun Oct 12 2014 coolo@suse.com
- updated to version 2.12.2
  * Ensure internal asset lookups calls are still restricted to load paths within
  asset compiles. Though, you should not depend on internal asset resolves to be
  completely restricted for security reasons. Assets themselves should be
  considered full scripting environments with filesystem access.
- adapt to new rubygem packaging
* Tue Apr 22 2014 coolo@suse.com
- updated to version 2.12.1
  * Fix making manifest target directory when its different than the output directory.
* Fri Mar 21 2014 coolo@suse.com
- updated to version 2.12.0
  * Avoid context reference in SassImporter hack so its Marshallable. Fixes
  issues with Sass 3.3.x.
* Sat Feb 22 2014 coolo@suse.com
- updated to version 2.11.0
  * Support for `.bower.json`
* Sat Nov 23 2013 coolo@suse.com
- updated to version 2.10.1
  `depend_on_asset` *path* works like `depend_on`, but operates
  recursively reading the file and following the directives found.
- fix usage of update-alternatives
* Sat May 25 2013 coolo@suse.com
- updated to version 2.10.0
  * Support for `bower.json`
* Wed Apr 24 2013 coolo@suse.com
- updated to version 2.9.3
  * Fixed sass caching bug
* Fri Apr 12 2013 coolo@suse.com
- updated to version 2.9.2
  * Improve file freshness check performance
  * Directive processor encoding fixes
  * Support for Uglifier 2.x
* Sun Mar  3 2013 coolo@suse.com
- updated to version 2.9.0
  * Write out gzipped variants of bundled assets.
* Tue Dec 18 2012 coolo@suse.com
- updated to version 2.8.2
  * Fixed top level Sass constant references
  * Fixed manifest logger when environment is disabled
* Thu Nov  1 2012 coolo@suse.com
- updated to version 2.8.1
  * Fixed Sass importer bug
* Sun Oct 28 2012 coolo@suse.com
- updated to version 2.8.0
  * Allow manifest location to be seperated from output directory
  * Pass logical path and absolute path to each_logical_path iterator
* Fri Oct 12 2012 coolo@suse.com
- updated to version 2.7.0
  * Added --css-compressor and --js-compressor command line flags
  * Added css/js compressor shorthand
  * Change default manifest.json filename to be a randomized manifest-16HEXBYTES.json
  * Allow nil environment to be passed to manifest
  * Allow manifest instance to be set on rake task
* Sun Sep 23 2012 coolo@suse.com
- updated to version 2.6.0
  Added bower component.json require support
* Tue Sep  4 2012 coolo@suse.com
- updated to version 2.5.0
  * Fixed Ruby 2.0 RegExp warning
  * Provide stubbed implementation of context *_path helpers
  * Add SassCompressor
* Wed Aug  1 2012 cfarrell@suse.com
- license update: MIT
  See data/LICENSE
* Wed Aug  1 2012 coolo@suse.com
- no need for the extra suffix, renamed back to rubygem-sprockets
* Sun Jul 15 2012 coolo@suse.com
- update to 2.4.5
  * Tweaked some logger levels
  * Canonicalize logical path extensions
  * Check absolute paths passed to depend_on
* Sun Jun 10 2012 coolo@suse.com
- update to 2.4.3
  * Exposed :sprockets in sass options
  * Include dependency paths in asset mtime
* Tue May  8 2012 coolo@suse.com
- update to 2.4.2
  * Fixed MultiJson feature detect
* Sat Apr 28 2012 coolo@suse.com
- update to 2.4.1
  * Fixed MultiJson API change
  * Fixed gzip mtime
* Wed Apr  4 2012 coolo@suse.com
- fork for 2.4 branch
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Thu Jan 26 2012 mrueckert@suse.de
- initial package for the 2.1 branch
